@echo off
setlocal enabledelayedexpansion
cd /d "C:\Users\ms-iv\Downloads"

:: Huidige datum ophalen in formaat yyyy-mm-dd
for /f "tokens=2 delims==" %%i in ('"wmic os get LocalDateTime /value"') do set dt=%%i
set TODAY=%dt:~0,4%-%dt:~4,2%-%dt:~6,2%

:: Metadata invoer
set /p TITLE=Voer de titel van het boek in:
set /p AUTHOR=Voer de auteur in:
set /p PUBLISHER=Voer de uitgever (publisher) in:
set /p DATE=Voer de publicatiedatum in (formaat: jjjj-mm-dd, leeg = vandaag):

:: Als DATE leeg is, gebruik vandaag
if "%DATE%"=="" set DATE=%TODAY%

echo.
echo Titel: %TITLE%
echo Auteur: %AUTHOR%
echo Uitgever: %PUBLISHER%
echo Publicatiedatum: %DATE%
echo.

:: Converteren van elk .md bestand
for %%f in (*.md) do (
    echo Converting "%%f"...
    pandoc "%%f" -o "%%~nf.epub" --metadata title="%TITLE%" --metadata author="%AUTHOR%" --metadata publisher="%PUBLISHER%" --metadata date="%DATE%"
)

echo.
echo Alle bestanden zijn geconverteerd.
pause
